deepin-anything (7.0.41) unstable; urgency=medium

  * Revert "fix: retry volatile index commit when thread pool is busy"
  * refactor: unify index commit into job queue with load awareness

 -- wangrong <wangrong@uniontech.com>  Thu, 14 May 2026 15:48:33 +0800

deepin-anything (7.0.40) unstable; urgency=medium

  * fix: retry volatile index commit when thread pool is busy

 -- wangrong <wangrong@uniontech.com>  Sat, 09 May 2026 17:42:47 +0800

deepin-anything (7.0.39) unstable; urgency=medium

  * chore(CI): add debian check workflow
  * refactor: Remove the old directory scanning mechanism
  * feat: optimize index initialization with conditional refresh
  * feat: implement index size check and trigger full scan for empty
    index
  * feat: add daemon abnormal exit detection mechanism
  * refactor: extract refresh_index flag operations into helper
    functions
  * chore: remove Install section from daemon service
  * feat: add file birth time support using statx syscall
  * feat: extend image format support based on Qt5 plugins
  * feat: move index storage from XDG_CACHE_HOME to XDG_DATA_HOME
  * fix: add idempotent check and re-call for running flag setup

 -- wangrong <wangrong@uniontech.com>  Thu, 23 Apr 2026 19:13:20 +0800

deepin-anything (7.0.38) unstable; urgency=medium

  * refactor: Remove default blacklist paths
  * chore: Add documentation and configuration updates
  * refactor: Handle signals by g_unix_signal_add
  * fix: Fix search fail after mounting ulnfs
  * fix: Disable ProtectKernelTunables to config kernel module

 -- wangrong <wangrong@uniontech.com>  Thu, 12 Mar 2026 19:06:58 +0800

deepin-anything (7.0.37) unstable; urgency=medium

  * fix: Disable ProtectHome to check mount info

 -- wangrong <wangrong@uniontech.com>  Tue, 20 Jan 2026 10:45:03 +0800

deepin-anything (7.0.36) unstable; urgency=medium

  * fix: Fix sw64 gcc not support pie by default
  * refactor: use GCancellable for timer cancellation

 -- wangrong <wangrong@uniontech.com>  Tue, 06 Jan 2026 13:20:26 +0800

deepin-anything (7.0.35) unstable; urgency=medium

  * refactor: Refactor and improve configuration loading and path handling
  * feat: Implement dynamic config change handling for blacklist paths
  * feat: Add config item commit_persistent_index_timeout
  * feat: Add updating index status for batch event processing
  * feat: Support pending_events_trigger_updating dynamic update
  * feat: Implement dynamic search strategy with fallback to filesystem scan
  * feat: Enhance systemd service sandboxing for logger and server

 -- wangrong <wangrong@uniontech.com>  Thu, 25 Dec 2025 21:25:05 +0800

deepin-anything (7.0.34) unstable; urgency=medium

  * feat: Add ancestor_paths field for lucene document
  * feat: Searcher filters results by ancestor_paths field

 -- wangrong <wangrong@uniontech.com>  Thu, 18 Dec 2025 19:40:46 +0800

deepin-anything (7.0.33) unstable; urgency=medium

  * feat: Improve daemon stability and resource management

 -- wangrong <wangrong@uniontech.com>  Fri, 28 Nov 2025 17:02:59 +0800

deepin-anything (7.0.32) unstable; urgency=medium

  * fix: Fix deepin-anything-daemon coredump

 -- wangrong <wangrong@uniontech.com>  Tue, 11 Nov 2025 21:09:59 +0800

deepin-anything (7.0.31) unstable; urgency=medium

  * fix: Fix deepin-anything-daemon coredump

 -- wangrong <wangrong@uniontech.com>  Thu, 23 Oct 2025 14:27:25 +0800

deepin-anything (7.0.30) unstable; urgency=medium

  * fix: Fix daemon is always in loading state

 -- wangrong <wangrong@uniontech.com>  Fri, 10 Oct 2025 14:57:21 +0800

deepin-anything (7.0.29) unstable; urgency=medium

  * refactor: Rework the initial index scanning mechanism

 -- wangrong <wangrong@uniontech.com>  Tue, 16 Sep 2025 14:55:52 +0800

deepin-anything (7.0.28) unstable; urgency=medium

  * update version to 7.0.28

 -- wangrong <wangrong@uniontech.com>  Thu, 11 Sep 2025 20:30:53 +0800

deepin-anything (7.0.27) unstable; urgency=medium

  * fix: Fix deepin-anything-daemon core dump for uninitialized index_status_

 -- wangrong <wangrong@uniontech.com>  Thu, 04 Sep 2025 16:48:50 +0800

deepin-anything (7.0.26) unstable; urgency=medium

  * feat: Add pinyin acronym to file index
  * feat: Refactor VFS unnamed device file handling
  * feat: Update pinyin processing and indexing
  * fix: Fix fail to create symbolic links for index entry point

 -- wangrong <wangrong@uniontech.com>  Tue, 02 Sep 2025 18:48:01 +0800

deepin-anything (7.0.25) unstable; urgency=medium

  * refactor: Update installation paths for deepin-anything services
  * fix: Fix insufficient index storage space
  * refactor: Remove deepin-anything server and related service files
  * refactor: Adjust project structure
  * feat: Add deepin-anything-server service
  * refactor: Allow handle file events from all devices
  * feat: Adapt to long file name system
  * feat: Add formatted modify time field to file records
  * feat: Ensure .cache in blacklist
  * feat: Enhance mount chain validation logic

 -- wangrong <wangrong@uniontech.com>  Tue, 26 Aug 2025 21:10:14 +0800

deepin-anything (7.0.24) unstable; urgency=medium

  * refactor: Use marker file to handle invalid index
  * refactor: Improve error handling and restart mechanism
  * feat: Implement deepin-anything logger service

 -- wangrong <wangrong@uniontech.com>  Thu, 31 Jul 2025 10:18:01 +0800

deepin-anything (7.0.23) unstable; urgency=medium

  * feat: Fix compile error and add support to kernel 6.15
  * fix: Fix fail to receive file events on a new mount namespace
  * fix: Fix fail to build on i386
  * feat: Add version and commit hash logging
  * feat: Support trace process for specific event type
  * feat: Add sysfs switch to disable event merging
  * refactor: Adjust the processing logic of directory rename events
  * fix: Fix kernel module build fail on 4.19 kernel

 -- wangrong <wangrong@uniontech.com>  Thu, 03 Jul 2025 18:52:03 +0800

deepin-anything (7.0.22) unstable; urgency=medium

  * feat: Adapt to V20
  * fix: Fix index updates not saved after a timeout

 -- wangrong <wangrong@uniontech.com>  Tue, 24 Jun 2025 19:21:09 +0800

deepin-anything (7.0.21) unstable; urgency=medium

  * fix: Fix anything repeatedly restart when shutdown

 -- wangrong <wangrong@uniontech.com>  Sat, 21 Jun 2025 23:38:08 +0800

deepin-anything (7.0.20) unstable; urgency=medium

  * feat: Add configurable index commit timeouts
  * chore: Remove deepin-anything-dkms dependency
  * fix: Fix anything repeatedly restart when shutdown
  * feat: Add wildcard search functionality
  * fix: Improve blacklist path checking logic

 -- wangrong <wangrong@uniontech.com>  Thu, 19 Jun 2025 13:40:32 +0800

deepin-anything (7.0.19) unstable; urgency=medium

  * feat: Adapt kernel module for LOONGARCH architecture
  * feat: Optimize recoginizing ARM
  * feat: add support for s360x, ppc64le and riscv
  * feat: Not compile kernel module when in-tree ones already exist
  * feat: Add support for SW64 architecture in argument extraction
  * fix: Fix kernel Oops on SW64

 -- wangrong <wangrong@uniontech.com>  Thu, 29 May 2025 21:22:31 +0800

deepin-anything (7.0.18) unstable; urgency=medium

  * fix: Fix fail to update index for dir rename

 -- wangrong <wangrong@uniontech.com>  Fri, 23 May 2025 16:58:37 +0800

deepin-anything (7.0.17) unstable; urgency=medium

  * fix: Fix scan "/" crash

 -- wangrong <wangrong@uniontech.com>  Thu, 22 May 2025 16:24:31 +0800

deepin-anything (7.0.16) unstable; urgency=medium

  * fix: Enhance error handling in file index management
  * refactor: Remove unused index change filter functionality
  * refactor: Remove QStringList and QString
  * fix: Fix incorrect index traversal in the specified directory
  * feat: Check index corrupted in runtime
  * refactor: Using separate thread for event handling
  * feat: Set the maximum socket receive buffer size
  * fix: Improve event listening error handling

 -- wangrong <wangrong@uniontech.com>  Thu, 22 May 2025 11:22:31 +0800

deepin-anything (7.0.15) unstable; urgency=medium

  * fix: Improve filesystem existence checks with error handling
  * refactor: Improve event path conflict detection
  * fix: Continue receiving events after fail

 -- wangrong <wangrong@uniontech.com>  Fri, 16 May 2025 16:50:56 +0800

deepin-anything (7.0.14) unstable; urgency=medium

  * feat: Clean up event handling and logging

 -- wangrong <wangrong@uniontech.com>  Mon, 12 May 2025 14:21:12 +0800

deepin-anything (7.0.13) unstable; urgency=medium

  * feat: Add thread pool size config from env
  * fix: Fix set index status to monitoring too early
  * refactor: Remove file_record structure and related functionality
  * feat: Refactor event handler to use shared configuration
  * feat: Add deepin-anything-searcher utils
  * refactor: Removing DBus-related code
  * refactor: Simplify file index management methods
  * refactor: Standardize namespace naming and enhance string handling
  * refactor: Enhance index directory management in event handler
  * feat: Support obtaining configuration via dconfig
  * feat: Implement configuration change notification
  * feat: Introduce log level configuration

 -- wangrong <wangrong@uniontech.com>  Wed, 07 May 2025 16:50:03 +0800

deepin-anything (7.0.12) unstable; urgency=medium

  * fix: Fail to search after manual partitioning
  * fix: Fix crash after turning off protection

 -- wangrong <wangrong@uniontech.com>  Sun, 27 Apr 2025 14:30:41 +0800

deepin-anything (7.0.11) unstable; urgency=medium

  * feat: Enhance index management with status tracking
  * feat: Support determine home directory dynamically

 -- wangrong <wangrong@uniontech.com>  Thu, 24 Apr 2025 21:31:01 +0800

deepin-anything (7.0.10) unstable; urgency=medium

  * feat: Filter out blacklisted data when refreshing the index

 -- wangrong <wangrong@uniontech.com>  Tue, 22 Apr 2025 19:53:58 +0800

deepin-anything (7.0.9) unstable; urgency=medium

  * chore: Update license information
  * refactor: Simplify file type mapping
  * fix: Change DBus connection to sessionBus
  * refactor: Support indexing hidden files
  * feat: Add is_hidden field
  * feat: Using the New Analyzer
  * feat: Support index directory blacklist
  * feat: Implement index version management
  * feat: Use new home directory location
  * feat: Implement kernel module alive check

 -- wangrong <wangrong@uniontech.com>  Mon, 21 Apr 2025 17:04:58 +0800

deepin-anything (7.0.8) unstable; urgency=medium

  * chore: Adjust build and packaging
  * chore: Run the daemon as user service
  * refactor: Adjust the matching mechanism for search keyword
  * feat: Add fields for the index
  * feat: Improve performance by saving indexes to tmpfs
  * refactor: Enhance get_home_directory function and add event filters
  * fix: Handle corrupted index during initialization
  * feat: Add pinyin field to search results and modify pinyin conversion logic
  * feat: Add post-install script for deepin-anything-server

 -- wangrong <wangrong@uniontech.com>  Mon, 31 Mar 2025 13:16:50 +0800

deepin-anything (7.0.7) unstable; urgency=medium

  * Major update with a complete refactor and version upgrade.
  * Fixed high CPU usage issues.
  * Enhanced real-time updates for improved responsiveness.
  * Improved index consistency to ensure more reliable performance.
  * Fix missing handling of subdirectories and subfiles when updating/removing a directory
  * Other bug fixes and optimizations.

 -- Deepin Package Builder <packages@deepin.com>  Tue, 19 Nov 2024 10:32:00 +0800

deepin-anything (6.1.9) unstable; urgency=medium

  * update log.

 -- Deepin Package Builder <packages@deepin.com>  Fri, 17 May 2024 10:32:00 +0800

deepin-anything (6.1.8) unstable; urgency=medium

  * fix server core dump on restart.

 -- Deepin Package Builder <packages@deepin.com>  Thu, 07 Mar 2024 13:27:30 +0800

deepin-anything (6.1.7) unstable; urgency=medium

  * update version.

 -- Deepin Package Builder <packages@deepin.com>  Sun, 18 Feb 2024 17:13:26 +0800

deepin-anything (6.1.6) unstable; urgency=medium

  * update CMakeLists.

 -- Deepin Package Builder <packages@deepin.com>  Thu, 30 Nov 2023 14:48:21 +0800

deepin-anything (6.1.5) unstable; urgency=medium

  * add executable for running anything.
  * let process abort when cpu usage limit is exceeded.

 -- Deepin Package Builder <packages@deepin.com>  Thu, 26 Oct 2023 14:35:37 +0800

deepin-anything (6.1.4) unstable; urgency=medium

  * fix index issue.

 -- Deepin Package Builder <packages@deepin.com>  Wed, 19 Jul 2023 15:00:18 +0800

deepin-anything (6.1.3) unstable; urgency=medium

  * add miss build depend cmake.

 -- Deepin Package Builder <packages@deepin.com>  Mon, 03 Jul 2023 15:58:18 +0800

deepin-anything (6.1.2) unstable; urgency=medium

  * fix kernel module build issue for linux > 5.10.

 -- Deepin Package Builder <packages@deepin.com>  Tue, 20 Jun 2023 16:50:58 +0800

deepin-anything (6.1.1) unstable; urgency=medium

  * fix can search issue for first start.
  * fix dgb install issue.
  * cmake build support.

 -- Deepin Package Builder <packages@deepin.com>  Tue, 20 Jun 2023 16:32:58 +0800

deepin-anything (6.1.0) unstable; urgency=medium

  * fix dkms install issue.
  * fix dir name is 0 on loongson64.
  * fix BUG warning issue.

 -- Deepin Package Builder <packages@deepin.com>  Wed, 07 Jun 2023 17:30:58 +0800

deepin-anything (6.0.9) unstable; urgency=medium

  * fix miss libcgroup depending.

 -- Deepin Package Builder <packages@deepin.com>  Wed, 31 May 2023 16:30:58 +0800

deepin-anything (6.0.8) unstable; urgency=medium

  * add cpu resource usage limit.

 -- Deepin Package Builder <packages@deepin.com>  Tue, 30 May 2023 16:07:58 +0800

deepin-anything (6.0.7) unstable; urgency=medium

  * update archlinux and rpm building package.
  * Fix the expired log issue.

 -- Deepin Package Builder <packages@deepin.com>  Tue, 25 Apr 2023 15:40:51 +0800

deepin-anything (6.0.6) unstable; urgency=medium

  * Optimize the mount info and fix QStorageInfo block issue.

 -- Deepin Package Builder <packages@deepin.com>  Wed, 19 Apr 2023 17:04:15 +0800

deepin-anything (6.0.5) unstable; urgency=medium

  * Optimize the structure replace dbus with callback.

 -- Deepin Package Builder <packages@deepin.com>  Wed, 12 Apr 2023 17:04:15 +0800

deepin-anything (6.0.4) unstable; urgency=medium

  * fix search issue on dlnfs dir.

 -- Deepin Package Builder <packages@deepin.com>  Thu, 30 Mar 2023 03:04:15 +0800

deepin-anything (6.0.2) unstable; urgency=medium

  * rework deepin-anything-server

 -- Deepin Package Builder <packages@deepin.com>  Thu, 21 Jul 2022 15:52:06 +0800

deepin-anything (6.0.1-1) unstable; urgency=medium

  * Export entry function and change library name back for old dfm; The backend running with single instance.

 -- Deepin Package Builder <packages@deepin.com>  Mon, 25 Apr 2022 15:50:45 +0800

deepin-anything (6.0.0-1) unstable; urgency=medium

  * new version for tool and monitor are merged then release library, which will start as plugin in dde-file-manager-daemon.

 -- Deepin Package Builder <packages@deepin.com>  Mon, 18 Apr 2022 01:26:45 +0800

deepin-anything (20180315+1) unstable; urgency=medium

  * Initial release.

 -- Deepin Package Builder <packages@deepin.com>  Tue, 20 Mar 2018 11:46:47 +0800
